Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractSpinBox.ButtonSymbols

    java.lang.Object
      java.lang.Enum<QAbstractSpinBox.ButtonSymbols>
          com.trolltech.qt.gui.QAbstractSpinBox.ButtonSymbols

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSpinBox.ButtonSymbols>

Enclosing class:
  QAbstractSpinBox

    public static enum QAbstractSpinBox.ButtonSymbols

extends java.lang.Enum<QAbstractSpinBox.ButtonSymbols>
implements QtEnumerator

This enum type describes the symbols that can be displayed on the buttons in a spin box.

See Also:
  `QAbstractSpinBox::buttonSymbols`

Enum Constant Summary
`NoButtons` Don't display buttons.
`PlusMinus` + and - symbols.
`UpDownArrows` Little arrows in the classic style.

Method Summary
`static QAbstractSpinBox.ButtonSymbols` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSpinBox.ButtonSymbols` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSpinBox.ButtonSymbols[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UpDownArrows

    public static final QAbstractSpinBox.ButtonSymbols UpDownArrows

  Little arrows in the classic style.

### PlusMinus

    public static final QAbstractSpinBox.ButtonSymbols PlusMinus

  + and - symbols.

### NoButtons

    public static final QAbstractSpinBox.ButtonSymbols NoButtons

  Don't display buttons.

Method Detail

### values

    public static final QAbstractSpinBox.ButtonSymbols[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSpinBox.ButtonSymbols c : QAbstractSpinBox.ButtonSymbols.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSpinBox.ButtonSymbols valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSpinBox.ButtonSymbols resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD